import { NgFor, NgIf } from '@angular/common';
import { Component, Input } from '@angular/core';
import { Roots } from '@enums/root.enum';
import { IonicModule, ModalController, NavController } from '@ionic/angular';

@Component({
  selector: 'app-tagged-user',
  templateUrl: './tagged-user.page.html',
  styleUrls: ['./tagged-user.page.scss'],
  standalone: true,
  imports: [IonicModule, NgFor, NgIf]
})
export class TaggedUserPage {
  @Input() taggedUsers: any[];

  constructor(
    private navCtrl: NavController,
    private modalController: ModalController
  ) { }

  moveToProfile(id) {
    this.modalController.dismiss();
    this.navCtrl.navigateForward([Roots.page + '/' + Roots.shravakOtherProfile, { id }]);
  }
}
